gfs2_jadd(8)

NAME
gfs2_jadd - Add journals to a gfs2 filesystem

SYNOPSIS
gfs2_jadd [options] <device|mountpoint> ...

DESCRIPTION
gfs2_jadd is used to add journals (and a few other per-node files) to a gfs2 filesystem. When this operation is complete, the journal index is updated so that machines mounting the filesystem will see the newly created journals in addition to the existing journals. Machines which are already running in the cluster are unaffected.

gfs2_jadd must be run on a mounted filesystem. Adding journals to unmounted filesystems is not supported. gfs2_jadd need only be run on one node in the cluster; the added journals will be visible across the cluster.

gfs2_jadd must be run as root. gfs2_jadd only updates the journal index at the end of the process if no error conditions are encountered, otherwise the filesystem is left in its original state.

OPTIONS

-c megabytes
    Initial size of each journal's quota change file

-D  Print out debugging information about the filesystem layout.

-h  Prints out a short usage message and exits.

-J size
    The size of the new journals in megabytes. The defaults to 32MB (the minimum size allowed is 8MB). If journals of different sizes are required, gfs2_jadd will need to be run once for each different size of journal.

-j number
    The number of new journals to add.

-q  Be quiet. Don't print anything.

-V  Version. Print version information, then exit.

NOTES
The journals added by gfs2_jadd are not guaranteed to be laid out contiguously as they are with mkfs.gfs2(8). Therefore it may be beneficial to performance to create the filesystem with the required number of journals instead of adding journals later.

SEE ALSO
mkfs.gfs2(8) gfs2_grow(8)